import { jsx } from "react/jsx-runtime";
import { Boat as Boat$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Boat = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Boat", ...props, children: /* @__PURE__ */ jsx(Boat$1, { weight: variant }) });
  }
);
Boat.displayName = "Boat";
Object.assign(Boat, { isGdsIcon: true });
export {
  Boat
};
